#include<bits/stdc++.h>
#define ll long long

using namespace std;

int t,n,m,k;
int a[100000000];

int main(){
	
	cin.tie(0);
	ios::sync_with_stdio(0);
	
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	cin>>t;
	
	cin>>n>>m>>k;
	
	for(int i=1;i<=m;i++){
		cin>>a[i];
	}
	
	
	return 0;
}
